Component({
  properties: {
    visible: {
      type: Boolean,
      value: false,
    },
    text: {
      type: String,
      value: '模态框内容',
    },
  },
  methods: {
    exit() {
      this.triggerEvent('exit');
    },
    continue() {
      this.triggerEvent('continue');
    },

    goUser() {
      wx.navigateTo({
        url: '/pages3/userProtocol/userProtocol',
      })
    },

    goPrivate() {
      wx.navigateTo({
        url: '/pages3/privateProtocol/privateProtocol',
      })
    },
  },
});
